package ch.hepia;

import ch.hepia.config.AppConfig;
import ch.hepia.events.JoinedJourney;
import ch.hepia.models.User;
import ch.hepia.mq.MessageManager;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;
import java.util.ArrayList;


/**
 * Starts up the app.
 */
public class Main extends Application {

	/**
	 * Mein starter
	 * @param args The passed arguments
	 */
	public static void main(String[] args) throws Exception {
		MessageManager m = new MessageManager(
				AppConfig.RABBITMQ_HOSTNAME, "frog", "poney1234", "broadcaster");
		m.sendJoinedJourney(new JoinedJourney(new User("Théo"), new ArrayList<>()));
		m.subscribeJoinedJourney(joinedJourney -> System.out.println("When I was hungary"));
		//launch(args);
	}

	@Override
	public void start(Stage stage) throws IOException {
		Parent root = FXMLLoader.load(Main.class.getResource("/fxml/ConnectionWindow.fxml"));
		Scene scene = new Scene(root, AppConfig.APP_WIDTH, AppConfig.APP_HEIGHT);

		stage.setScene(scene);
		stage.show();
	}
}
