package ch.hepia.api.transport;

import org.json.JSONObject;

import java.io.Serializable;


public final class Service implements Serializable {
    private String regular;
    private String irregular;

    /**
     * Constructor of Service class
     * @param regular is the service regular ?
     * @param irregular is the service disturbed ?
     */
    private Service(String regular, String irregular){
        this.regular = regular;
        this.irregular = irregular;
    }

    /**
     * Builder of Service objects
     */
    public static class ServiceBuilder{
        private JSONObject datas;

        /**
         * Constructor of the class ServiceBuilder
         * Stock Datas from a JSON object given
         * @param datas contains datas to construct a Service object
         */
        public ServiceBuilder(JSONObject datas){
            this.datas = datas;
        }

        /**
         * Build a Service object from the datas obtained
         * @return a new Service object
         */
        public Service build(){
            String regular = datas.getString("regular");
            String irregular = datas.getString("irregular");

            return new Service(regular, irregular);
        }
    }
}
