package ch.hepia.mq;
import java.io.Serializable;

public final class Message implements Serializable {
    public static enum Type {
        JoinedJourney, LeftJourney
    }
    
    private static final long serialVersionUID = 0xAEF34565673L;
    private final Type type;
    private byte[] data;

    public <T extends Serializable> Message(Type type, T object) {
        this.type = type;
        this.data = MessageQueue.serialize(object);
    }

    public Type getMessageType() {
        return this.type;
    }

    public <T> T getData() {
        return MessageQueue.unserialize(this.data);
    }
}
