package ch.hepia.ui;

import ch.hepia.Main;
import ch.hepia.config.AppConfig;
import javafx.animation.FadeTransition;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.stage.Stage;
import javafx.stage.WindowEvent;
import javafx.util.Duration;

import java.net.URL;
import java.util.ResourceBundle;

public class ConnectionController implements Initializable {

	@FXML
	private Label appNameLabel;

	@FXML
	private Label appConnectionStatusLabel;

	@FXML
	private TextField usernameSelectionTextField;

	@FXML
	private Label errorLabel;

	@FXML
	private Button handleConfirmButton;

	@FXML
	public void handleConfirmButton(ActionEvent event) throws Exception {
		handleConfirmButton.setDisable(true);
		String oldText = handleConfirmButton.getText();
		handleConfirmButton.setText("Veuillez patienter...");
		if (usernameSelectionTextField.getText().isEmpty()){
			FadeTransition fadeIn = new FadeTransition(Duration.millis(3000));
			errorLabel.setText("Veuillez rentrer un nom d'utilisateur.");
			errorLabel.setVisible(true);
			fadeIn.setNode(errorLabel);
			fadeIn.setFromValue(1.0);
			fadeIn.setToValue(0.0);
			fadeIn.setCycleCount(1);
			fadeIn.setAutoReverse(false);
			fadeIn.playFromStart();
		} else {
			// User user = new User(UsernameSelectionTextField.getText());
			Stage stage = (Stage) handleConfirmButton.getScene().getWindow();
			Parent root = FXMLLoader.load(Main.class.getResource("/fxml/MainWindow.fxml"));
			Scene scene = new Scene(root, AppConfig.APP_WIDTH, AppConfig.APP_HEIGHT);

			stage.close();
			stage.setScene(scene);
			stage.show();


		}
		handleConfirmButton.setText(oldText);
		handleConfirmButton.setDisable(false);
	}

	@Override
	public void initialize(URL location, ResourceBundle resources) {
		// Faire les initialisations avant affichage ici.
		appNameLabel.setText(AppConfig.APP_NAME);
		appConnectionStatusLabel.setText("Merci de rentrer votre nom. Il permettra de vous identifier.");
	}
}
